Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.persistence
Class DeprecatedPersistenceProductDerivation

    java.lang.Object
      org.apache.openjpa.lib.conf.AbstractProductDerivation
          kodo.persistence.DeprecatedPersistenceProductDerivation

All Implemented Interfaces:
  OpenJPAProductDerivation, ProductDerivation

Deprecated.

    public class DeprecatedPersistenceProductDerivation

extends AbstractProductDerivation
implements OpenJPAProductDerivation

Specializes PersistenceProductDerivation for backward compatibility with published Kodo-specific 4.0 API. This derivation is activated only when `javax.persistence.provider` is set to the Kodo 4.0 provider class name i.e. `kodo.persistence.PersistenceProviderImpl`. If this derivation is active, then it inserts the backward compatiable `kodo.persistence.KodoEntityManagerFactoryImpl` to the resultant configuration.

Since:
  4.1

Field Summary

Fields inherited from interface org.apache.openjpa.conf.OpenJPAProductDerivation
`TYPE_PRODUCT_STORE, TYPE_SPEC, TYPE_SPEC_STORE, TYPE_STORE`

Fields inherited from interface org.apache.openjpa.lib.conf.ProductDerivation
`TYPE_FEATURE, TYPE_PRODUCT`

Constructor Summary
`DeprecatedPersistenceProductDerivation()` Deprecated.

Method Summary
`boolean` | `beforeConfigurationConstruct(ConfigurationProvider cp)` Deprecated.
`int` | `getType()` Deprecated.
`void` | `putBrokerFactoryAliases(Map m)` Deprecated.

Methods inherited from class org.apache.openjpa.lib.conf.AbstractProductDerivation
`afterSpecificationSet, beforeConfigurationClose, beforeConfigurationLoad, getConfigurationPrefix, load, load, loadDefaults, loadGlobals, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.lib.conf.ProductDerivation
`afterSpecificationSet, beforeConfigurationClose, beforeConfigurationLoad, getConfigurationPrefix, load, load, loadDefaults, loadGlobals, validate`

Constructor Detail

### DeprecatedPersistenceProductDerivation

    public DeprecatedPersistenceProductDerivation()

  Deprecated.

Method Detail

### putBrokerFactoryAliases

    public void putBrokerFactoryAliases(Map m)

  Deprecated.
  Specified by:
    `putBrokerFactoryAliases` in interface `OpenJPAProductDerivation`

### getType

    public int getType()

  Deprecated.
  Specified by:
    `getType` in interface `ProductDerivation`

### beforeConfigurationConstruct

    public boolean beforeConfigurationConstruct(ConfigurationProvider cp)

  Deprecated.
  Specified by:
    `beforeConfigurationConstruct` in interface `ProductDerivation`
  Overrides:
    `beforeConfigurationConstruct` in class `AbstractProductDerivation`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.